---
title: Groups/Regular Endpoints (2017/01)
slug: legacy-docs/groupsregular-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

Use this endpoint to manage groups and presentation schedules on the network.

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Groups/Regular*

## GET  /

Retrieves a list of groups on the network.

**Parameters**

`filter` string 

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

`sort`  string

An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Group].[Autorun].[Version] DESC`")

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of Group instances exceeds the `pageSize`.

`pageSize` int

The maximum number of group instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [Group Entity (2017/01)](docId\:T6Ak5L6qC-1kpSJzb1lMj) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## POST  /

Creates a group on the network.

**Request Body**

The [Group Entity (2017/01)](docId\:T6Ak5L6qC-1kpSJzb1lMj) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the [Group Entity (2017/01)](docId\:T6Ak5L6qC-1kpSJzb1lMj).

## DELETE  /

Removes groups, specified by a filter, from a network. This allows multiple groups to be deleted at once.

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results.

`reassignmentGroupId` int

The identifier of the group instance to which affected devices should be reassigned. If this value is negative, the devices will be reassigned to the default “Unassigned” group instance. If a group instance with the specified positive \[int] Id does not exist, the method will return a descriptive error.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the number of affected groups as an integer value.

## GET  /Count/ 

Retrieves the number of groups on the network that match the specified filter criteria. If no filter is included, this call returns the total number of groups on the network. 

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The number of groups is returned as an integer value.

## GET  /\{id\:int}/ 

Returns a group, specified by id, on the network

**Parameters**

`id` int

The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

## PUT  /\{id\:int}/ 

Updates the specified group on a network

**Parameters**

`id` int

The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Group Entity (2017/01)](docId\:T6Ak5L6qC-1kpSJzb1lMj) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/ 

Removes the specified groups from the network

**Parameters**

`id` int

The unique identifier for the group

`reassignmentGroupId` int

The identifier of the group instance to which affected devices should be reassigned. If this value is negative, the devices will be reassigned to the default “Unassigned” group instance. If a group instance with the specified positive \[int] Id does not exist, the method will return a descriptive error.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/ 

Returns a group, specified by name, on the network

**Parameters**

`name` string

The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

## PUT  /&#x7B;name}/ 

Updates a group, specified by name, on the network

**Parameters**

`name` string

The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Group Entity (2017/01)](docId\:T6Ak5L6qC-1kpSJzb1lMj) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;name}/ 

Removes a group, specified by name, from the network

**Parameters**

`name` string

The name of the group

`reassignmentGroupId` int

The identifier of the group instance to which affected devices should be reassigned. If this value is negative, the devices will be reassigned to the default “Unassigned” group instance. If a group instance with the specified positive \[int] Id does not exist, the method will return a descriptive error.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /\{groupId\:int}/Schedule/ 

Returns a list of the scheduled presentations of the specified group

**Parameters**

`groupId` int

The unique identifier of the group

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of group instances exceeds the `pageSize`.

`pageSize` int

The maximum number of group instances that can be contained in the response body.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a list of the scheduled presentations of the specified group

## POST  /\{groupId\:int}/Schedule/ 

Adds a scheduled presentation to the specified group

**Parameters**

`groupId` int

The unique identifier of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The  [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the  [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt).

## GET  /&#x7B;groupName}/Schedule/ 

Returns a list of the scheduled presentations of the specified group

**Parameters**

`groupName` string

The name of the group

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of group instances exceeds the `pageSize`.

`pageSize` int

The maximum number of group instances that can be contained in the response body.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a list of the scheduled presentations of the specified group

## POST  /&#x7B;groupName}/Schedule/ 

Adds a scheduled presentation to the specified group

**Parameters**

`groupName` string

The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt).

## GET  /\{groupId\:int}/Schedule/\{scheduledPresentationId\:int}/ 

Returns the schedule of the specified presentation in the specified group

**Parameters**

`groupId`  int

The unique identifier of the group

`scheduledPresentationId`  int

The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

## PUT  /\{groupId\:int}/Schedule/\{scheduledPresentationId\:int}/ 

Updates the specified scheduled presentation in the specified group.

**Parameters**

`groupId`  int

The unique identifier of the group

`scheduledPresentationId`  int

The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{groupId\:int}/Schedule/\{scheduledPresentationId\:int}/ 

Removes a specified scheduled presentation from the specified group

**Parameters**

`groupId` int

The unique identifier of the group

`scheduledPresentationId`  int

The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;groupName}/Schedule/\{scheduledPresentationId\:int}/ 

Returns the schedule of the specified presentation in the specified group

**Parameters**

`groupName` int

The name of the group

`scheduledPresentationId`  int

The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

## PUT  /&#x7B;groupName}/Schedule/\{scheduledPresentationId\:int}/ 

Updates the specified scheduled presentation in the specified group.

**Parameters**

`groupName` int

The name of the group

`scheduledPresentationId`  int

The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Scheduled Presentation Entity (2017/01)](docId:4WHgQcYb8gjhU6sQDRFbt)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;groupName}/Schedule/\{scheduledPresentationId\:int}/ 

Removes the specified scheduled presentation from the specified group

**Parameters**

`groupName` int

The name of the group

`scheduledPresentationId`  int

The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Operations/ 

Returns operational permissions granted to roles for specific business operations

**Response Body**

Returns the [Business Operations Entity](docId\:FwDUJPp-AohPF3RES_SZ_)

## GET  /\{id\:int}/Permissions/ 

Includes object permissions for a given group instance.

**Parameters**

`id` int

The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /\{id\:int}/Permissions/ 

Adds permissions to the specified group

**Parameters**

`id` int

The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/Permissions/ 

Removes permissions from a specified group

**Parameters**

`id` int

The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;name}/Permissions/ 

Includes object permissions for a given group instance.

**Parameters**

`name` string

The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /&#x7B;name}/Permissions/ 

Adds permissions to the specified group

**Parameters**

`name` string

The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

 \_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;name}/Permissions/ 

Removes permissions from the specified group

**Parameters**

`name` string

The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.
